import numpy, pylab
from sklearn import metrics

def show(true_labels, pred_labels):
    cm = metrics.confusion_matrix(true_labels, pred_labels)
    print('mean accuracy = ', float(numpy.diag(cm).sum())/len(true_labels))
    pylab.matshow(cm, cmap=pylab.cm.gray)
    pylab.colorbar()
    pylab.xlabel('predicted label')
    pylab.ylabel('true label')
    pylab.show()
