import numpy, cv2

# not really good
def div_histogram(images):
    num_divs = 3
    num_bins = 16
    feat = numpy.zeros((images.shape[0],num_divs*num_bins*3), float)
    strides = 1024/num_divs
    for i in range(images.shape[0]):
        for j in range(num_divs):
            r = numpy.histogram(images[i,j*strides:(j+1)*strides],num_bins)[0]
            g = numpy.histogram(images[i,1024+j*strides:1024+(j+1)*strides],num_bins)[0]
            b = numpy.histogram(images[i,2048+j*strides:2048+(j+1)*strides],num_bins)[0]
            feat[i,j*num_bins*3:(j+1)*num_bins*3]=numpy.concatenate((r,g,b))

    return feat

# not really good
def div_histogram44(images):
    num_bins = 8
    feat = numpy.zeros((images.shape[0],4*num_bins*3), float)
    for i in range(images.shape[0]):
        r = images[i,0:1024].reshape(32,32)
        r00 = numpy.histogram(r[:16,:16].ravel(),num_bins)[0]
        r01 = numpy.histogram(r[16:,:16].ravel(),num_bins)[0]
        r10 = numpy.histogram(r[:16,16:].ravel(),num_bins)[0]
        r11 = numpy.histogram(r[16:,16:].ravel(),num_bins)[0]
        g = images[i,1024:2048].reshape(32,32)
        g00 = numpy.histogram(r[:16,:16].ravel(),num_bins)[0]
        g01 = numpy.histogram(r[16:,:16].ravel(),num_bins)[0]
        g10 = numpy.histogram(r[:16,16:].ravel(),num_bins)[0]
        g11 = numpy.histogram(r[16:,16:].ravel(),num_bins)[0]
        b = images[i,2048:3072].reshape(32,32)
        b00 = numpy.histogram(r[:16,:16].ravel(),num_bins)[0]
        b01 = numpy.histogram(r[16:,:16].ravel(),num_bins)[0]
        b10 = numpy.histogram(r[:16,16:].ravel(),num_bins)[0]
        b11 = numpy.histogram(r[16:,16:].ravel(),num_bins)[0]
        feat[i,:]=numpy.concatenate((r00,r01,r10,r11,g00,g01,g10,g11,b00,b01,b10,b11))

    return feat

# works reasonably well
def grid_mean_std(images, num_divs=8):
    feat = numpy.zeros((images.shape[0],num_divs*num_divs*2*3), float)
    for i in range(images.shape[0]):
        f = []
        r = images[i,0:1024].reshape(32,32)
        stride = 32/num_divs
        for k in range(num_divs):
            for l in range(num_divs):
                f.append(r[k*stride:(k+1)*stride,l*stride:(l+1)*stride].mean())
                f.append(r[k*stride:(k+1)*stride,l*stride:(l+1)*stride].std())
        g = images[i,1024:2048].reshape(32,32)
        for k in range(num_divs):
            for l in range(num_divs):
                f.append(g[k*stride:(k+1)*stride,l*stride:(l+1)*stride].mean())
                f.append(g[k*stride:(k+1)*stride,l*stride:(l+1)*stride].std())
        b = images[i,2048:3072].reshape(32,32)
        for k in range(num_divs):
            for l in range(num_divs):
                f.append(b[k*stride:(k+1)*stride,l*stride:(l+1)*stride].mean())
                f.append(b[k*stride:(k+1)*stride,l*stride:(l+1)*stride].std())
        feat[i,:] = numpy.array(f)

    return feat
